/*
 * config.h Ver.0.11 for kdvi.
 *
 * Configuration module of kdvi.
 *
 * Copyright 1994,1995 by Takuya Koumoto.
 *
 * Ver.0.0 to 0.1 : Modified 1994 by Takuya Koumoto.
 * Ver.0.1 to 0.2 : Modified 1994 by Takuya Koumoto.
 * Ver.0.2 to 0.3 : Modified 1994 by Takuya Koumoto.
 * Ver.0.3 to 0.4 : Modified 1994 by Takuya Koumoto.
 * Ver.0.4 to 0.5 : Modified 1994 by Takuya Koumoto.
 * Ver.0.5 to 0.6 : Modified 1995 by Takuya Koumoto.
 * Ver.0.6 to 0.7 : Modified 1995 by Takuya Koumoto.
 * Ver.0.7 to 0.8 : Modified 1995 by Takuya Koumoto.
 * Ver.0.8 to 0.9 : Modified 1995 by Takuya Koumoto.
 * Ver.0.9 to 0.10 : Modified 1995 by Takuya Koumoto.
 * Ver.0.10 to 0.11 : Modified 1995 by Takuya Koumoto.
 *
 * All rights reserved.
 */

/* If you want to make Enterlog. It is for DEBUG. */
/* #define MAKE_ENTERLOG */

/* If you want to debug. */
/* #define DEBUG */

/* You may have better device. */
#define DEFAULT_DPI 118
#define MINIMUM_DPI 30

/* You may change these. */
#define H_OFFSET 1.0 /* inch */
#define V_OFFSET 1.0 /* inch */

/* Set your directories. */
#define PKDIR "./%d/%s.%dpk:/usr/local/lib/tex/fonts/pk/%d/%s.%dpk:/usr/local/lib/jtex/fonts/pk/%d/%s.%dpk"
#define TFMDIR "./tfm/%s.tfm:/usr/local/lib/tex/fonts/tfm/%s.tfm:/usr/local/lib/tex/fonts/dnptfm/%s.tfm:/usr/local/lib/jtex/fonts/tfm/%s.tfm"

/* You may change these. */
#define VFONTCAP "/usr/local/lib/tex/jfonts/vfontcap"
#define KANJI_FONT_NAME   {"ztmin", "ztgoth"}
#define KANJI_FONT_NUM 2

/* If you want to use Kanji Bitmap font at ASCII NIHONGO TeX. */
#if !defined(ultrix) && !defined(NeXT) && !defined(sun)
#define USE_BITMAP_KANJI
#endif
#define KANJI_BITMAP_DIR "/usr/local/lib/tex/jfonts/%s.%d.%d"

/* You may not use epsbox. */
#define USE_EPSBOX
#define EPSBOX_BLANK_SPACE 10.0 /* pt. */

/* You may not use eclepsf. */
#define USE_ECLEPSF

/* You must not undef this. */
#define GHOSTSCRIPT "/usr/local/bin/gs"

/* You may not use Tpic special. */
#define USE_TPIC

/* You may not use pTeX. */
#define USE_PTEX

/* If you have 64bit CPU. */
#ifdef __alpha__
#define LONG_64
#endif

/* If you have <unistd.h> : FreeBSD, Ultrix, SunOS4. */
#ifndef NeXT
#define HAVE_UNISTD
#endif

/* If you don't have FILENAME_MAX : Sun. */
#ifdef __sun__
#define FILENAME_MAX 1024
#endif

/* If you have enough memory. */
/* #define USE_KANJI_OUTLINE_BUFFER */

/* End of config.h */
