/*
 * file.c Ver.0.1 for kdvi.
 *
 * File processing module of kdvi.
 *
 * Copyright 1994,1995 by Takuya Koumoto.
 *
 * Ver.0.0 to 0.1 : Modified 1995 by Takuya Koumoto.
 *
 * All rights reserved.
 */

#include "config.h"
#include "typedef.h"
#include "enter.h"
#include "vars.h"
#include <sys/types.h>
#include <sys/stat.h>

/* Prototype of global functions */
long Fsize(char *);
long Fexist(char *);
long Fmtime(char *);

/* Global functions */
long Fsize(char *name)
{
  struct stat stbuf;

  Enter("Fsize");

  if ((stat(name, &stbuf)) == -1)
    {
      fprintf(stderr, "Fsize : Cannot access %s.\n", name);
      return -1;
    }
  return (long)stbuf.st_size;
}

long Fexist(char *name)
{
  struct stat stbuf;

  Enter("Fexist");

  return (long)stat(name, &stbuf);
}

long Fmtime(char *name)
{
  struct stat stbuf;

  Enter("Fmtime");

  if ((stat(name, &stbuf)) == -1)
    {
      fprintf(stderr, "Fmtime : Cannot access %s.\n", name);
      return -1;
    }
  return (long)stbuf.st_mtime;
}

/* End of file.c */
