/*
 * font.c Ver.0.1 for kdvi.
 *
 * Handling font module of kdvi.
 *
 * Copyright 1994,1995 by Takuya Koumoto.
 *
 * Ver.0.0 to 0.1 : Modified 1995 by Takuya Koumoto.
 *
 * All rights reserved.
 */

#include "config.h"
#include "typedef.h"
#include "enter.h"
#include "vars.h"
#include "font_pk.h"
#include "font_tfm.h"
#include "font_jfm.h"
#include "font_ntt.h"

/* Prototype of global functions */
void Put_char(void);
void Font_close_files(void);

/* Global functions */
void Put_char(void)
{
  Enter("Put_char");

#ifdef DEBUG
  fprintf(stderr, "Font : %s code %ld.\n",
	  Code.font->name, 
	  Code.char_id);
#endif

  if (Code.font->f_type == PK_FONT)
    Font_pk_decode();
  else if (Code.font->f_type == TFM_FILE)
    Font_tfm_decode();
  else if (Code.font->f_type == JFM_FILE)
    Font_jfm_decode();
  else if (Code.font->f_type == NTT_TFM_FILE)
    Font_ntt_tfm_decode();
  else
    {
      fprintf(stderr, "Put_char : There is no font file for %s.\n",
	      Code.font->name);
      exit(1);
    }
}

void Font_close_files(void)
{
  Enter("Font_close_files");

  Font_jfont_close_files();
}

/* End of font.c */
