/*
 * init.c Ver.0.1 for kdvi.
 *
 * Initialize parameters of kdvi.
 *
 * Copyright 1994,1995 by Takuya Koumoto.
 *
 * Ver.0.0 to 0.1 : Modified 1995 by Takuya Koumoto.
 *
 * All rights reserved.
 */

#include "config.h"
#include "typedef.h"
#include "enter.h"
#include "vars.h"

/* Prototype of global function */
void Set_dimension(void);

/* Global function */
void Set_dimension(void)
{
  long tmp;

  Enter("Set_dimension");

  if (Dim.mag <= 0)
    Dim.mag = Dvi.mag;

  if (Dim.dpi <= 0)
    Dim.dpi = DEFAULT_DPI;

  tmp = (Dim.dpi * Dim.mag / 100);
  if ((tmp % 10) < 5)
    Dim.true_dpi = (tmp / 10);
  else
    Dim.true_dpi = ((tmp / 10) + 1);
  
  if (Dim.h_dpi <= 0)
    Dim.h_dpi = Dim.true_dpi;
  if (Dim.v_dpi <= 0)
    Dim.v_dpi = Dim.true_dpi;

  if (Dim.page <= 0)
    Dim.page = 1;

  if (Dim.page > Dvi.total_page)
    {
      Dim.page = Dvi.total_page;
    }

  if (Dim.total_page > Dvi.total_page)
    Dim.total_page = Dvi.total_page;
  if (Dim.page_step < 0)
    Dim.page_step = 0;

  if (Dim.total_page >= Dim.page)
    {
      if (Dim.page_step < 1)
	Dim.page_step = 1;
    }
  else
    {
      if (Dim.page_step > 0)
	Dim.total_page = Dvi.total_page;
    }

  Dim.h_sp_per_dot = (long)(72.27 * 65536.0 / (double)Dim.h_dpi);
  Dim.v_sp_per_dot = (long)(72.27 * 65536.0 / (double)Dim.v_dpi);

  Dim.h_dot_offset = (Dim.h_sp_offset / Dim.h_sp_per_dot);
  Dim.v_dot_offset = (Dim.v_sp_offset / Dim.v_sp_per_dot);
#ifdef DEBUG
  fprintf(stderr, "Dim.page : %ld,  Dim.dpi : %ld.  Dim.mag : %ld.\n",
	  Dim.page, Dim.dpi, Dim.mag);
#endif
}

/* End of init.c */
