/*
 * main.c Ver.0.1 for kdvi.
 *
 * Main module of kdvi.
 *
 * Copyright 1994,1995 by Takuya Koumoto.
 *
 * Ver.0.0 to 0.1 : Modified 1995 by Takuya Koumoto.
 *
 * All rights reserved.
 */

#include "config.h"
#include "typedef.h"
#include "enter.h"
#include "vars.h"
#ifdef HAVE_UNISTD
#include <unistd.h>
#endif
#include <sys/types.h>
#include <sys/uio.h>
#include "init.h"
#include "dvi.h"
#include "fontlist.h"
#include "buffer.h"
#include "driver.h"
#include "font.h"

/* Prototype of global function */
void main(int, char **);

/* Global function */
void main(int argc, char **argv)
{
  Enter("main");

  Init_driver(argc, argv);
  Init_dvi();
  Set_dimension();
  Make_fontlist();
  do
    {
      Make_buffer();
      Draw_page();
      Show_page();
    } while (Reset_dimension() == 0);
  Font_close_files();
  Dvi_close_files();
  Clear_fontlist();
  Clear_buffer();
  Clear_dvi();
}

/* End of main.c */
