/*
 * special.c Ver.0.3 for kdvi.
 *
 * Handling TeX special command of kdvi.
 *
 * Copyright 1994 by Takuya Koumoto.
 *
 * Ver.0.0 to 0.1 : Modified 1994 by Takuya Koumoto.
 * Ver.0.1 to 0.2 : Modified 1994 by Takuya Koumoto.
 * Ver.0.2 to 0.3 : Modified 1994 by Takuya Koumoto.
 *
 * All rights reserved.
 */

#include "config.h"
#include "typedef.h"
#include "enter.h"
#include "vars.h"
#include <string.h>
#include "special_epsbox.h"
#include "special_tpic.h"
#include "special_eclepsf.h"

/* Prototype of global function */
void Special(u_char *, long);

/* Global function */
void Special(u_char *command, long length)
{
  Enter("Special");

  if (length <= 0)
    {
      return;
    }
#ifdef USE_EPSBOX
  else if ((strncmp(command, "postscriptbox", 13) == 0) ||
      (strncmp(command, "ps:", 3) == 0) ||
      (strncmp(command, "\" ", 2) == 0))
    {
      Special_epsbox(command, length);
    }
#endif
#ifdef USE_ECLEPSF
  else if (strncmp(command, "epsfile", 7) == 0)
    {
      Special_eclepsf(command, length);
    }
#endif
#ifdef USE_TPIC
  else if ((strncmp(command, "pn ", 3) == 0) ||
      (strncmp(command, "pa ", 3) == 0) ||
      (strncmp(command, "fp",  2) == 0) ||
      (strncmp(command, "ip",  2) == 0) ||
      (strncmp(command, "da ", 3) == 0) ||
      (strncmp(command, "dt ", 3) == 0) ||
      (strncmp(command, "sp",  2) == 0) ||
      (strncmp(command, "ar ", 3) == 0) ||
      (strncmp(command, "ia ", 3) == 0) ||
      (strncmp(command, "sh",  2) == 0) ||
      (strncmp(command, "wh",  2) == 0) ||
      (strncmp(command, "bk",  2) == 0) ||
      (strncmp(command, "tx ", 3) == 0))
    {
      Special_tpic(command, length);
    }
#endif
  else
    {
      fprintf(stdout, "Unknown special: %s.\n", command);
    }
}

/* End of special.c */
